org.hibernate.validator.internal.xml

## Class BeanType

- java.lang.Object
- - org.hibernate.validator.internal.xml.BeanType

-     public class BeanType
      extends Object

  Java class for beanType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="beanType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="class" type="{http://jboss.org/xml/ns/javax/validation/mapping}classType" minOccurs="0"/>
               <element name="field" type="{http://jboss.org/xml/ns/javax/validation/mapping}fieldType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="getter" type="{http://jboss.org/xml/ns/javax/validation/mapping}getterType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="constructor" type="{http://jboss.org/xml/ns/javax/validation/mapping}constructorType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="method" type="{http://jboss.org/xml/ns/javax/validation/mapping}methodType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="class" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="ignore-annotations" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ClassType` | `classType`
    `protected String` | `clazz`
    `protected List<ConstructorType>` | `constructor`
    `protected List<FieldType>` | `field`
    `protected List<GetterType>` | `getter`
    `protected Boolean` | `ignoreAnnotations`
    `protected List<MethodType>` | `method`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanType()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClassType` | `getClassType()` Gets the value of the classType property.
    `String` | `getClazz()` Gets the value of the clazz property.
    `List<ConstructorType>` | `getConstructor()` Gets the value of the constructor property.
    `List<FieldType>` | `getField()` Gets the value of the field property.
    `List<GetterType>` | `getGetter()` Gets the value of the getter property.
    `Boolean` | `getIgnoreAnnotations()` Gets the value of the ignoreAnnotations property.
    `List<MethodType>` | `getMethod()` Gets the value of the method property.
    `void` | `setClassType(ClassType value)` Sets the value of the classType property.
    `void` | `setClazz(String value)` Sets the value of the clazz property.
    `void` | `setIgnoreAnnotations(Boolean value)` Sets the value of the ignoreAnnotations property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### classType

          protected ClassType classType

    - #### field

          protected List<FieldType> field

    - #### getter

          protected List<GetterType> getter

    - #### constructor

          protected List<ConstructorType> constructor

    - #### method

          protected List<MethodType> method

    - #### clazz

          protected String clazz

    - #### ignoreAnnotations

          protected Boolean ignoreAnnotations

  - ### Constructor Detail

    - #### BeanType

          public BeanType()

  - ### Method Detail

    - #### getClassType

          public ClassType getClassType()

      Gets the value of the classType property.
      Returns:
        possible object is `ClassType`

    - #### setClassType

          public void setClassType(ClassType value)

      Sets the value of the classType property.
      Parameters:
        `value` - allowed object is `ClassType`

    - #### getField

          public List<FieldType> getField()

      Gets the value of the field property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the field property.

      For example, to add a new item, do as follows:

              getField().add(newItem);

      Objects of the following type(s) are allowed in the list `FieldType`

    - #### getGetter

          public List<GetterType> getGetter()

      Gets the value of the getter property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the getter property.

      For example, to add a new item, do as follows:

              getGetter().add(newItem);

      Objects of the following type(s) are allowed in the list `GetterType`

    - #### getConstructor

          public List<ConstructorType> getConstructor()

      Gets the value of the constructor property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the constructor property.

      For example, to add a new item, do as follows:

              getConstructor().add(newItem);

      Objects of the following type(s) are allowed in the list `ConstructorType`

    - #### getMethod

          public List<MethodType> getMethod()

      Gets the value of the method property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the method property.

      For example, to add a new item, do as follows:

              getMethod().add(newItem);

      Objects of the following type(s) are allowed in the list `MethodType`

    - #### getClazz

          public String getClazz()

      Gets the value of the clazz property.
      Returns:
        possible object is `String`

    - #### setClazz

          public void setClazz(String value)

      Sets the value of the clazz property.
      Parameters:
        `value` - allowed object is `String`

    - #### getIgnoreAnnotations

          public Boolean getIgnoreAnnotations()

      Gets the value of the ignoreAnnotations property.
      Returns:
        possible object is `Boolean`

    - #### setIgnoreAnnotations

          public void setIgnoreAnnotations(Boolean value)

      Sets the value of the ignoreAnnotations property.
      Parameters:
        `value` - allowed object is `Boolean`

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved